Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class SmartComparator

    java.lang.Object
      com.beasys.commerce.foundation.SmartComparator

All Implemented Interfaces
  Serializable, Comparator

Deprecated

    @Deprecated
    public class SmartComparator

extends Object
implements Comparator, Serializable

This is an implementation of the Comparator Interface that compares two objects. It is useful when building and searching maps and lists of Business Smart Components (BSC). As an example, all belongings, SmartKeys and SmartHandles are comparable. It uses the singleton pattern

See Also
  Serialized Form

Method Summary
`int` | `compare(Object o1, Object o2)` Deprecated The compare method compares the following types:
`static SmartComparator` | `getInstance()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Deprecated
  The compare method compares the following types:

       String
       Comparable

  If the objects neither String or Comparable, then it compares the String representation of the objects. Note: o1 and o2 must be have the same type.

  Specified by:
    `compare` in interface `Comparator`
  Parameters
    `o1` - object 1 to compare
    `o2` - object 2 to compare
  Returns
    (o1 == o2) ? 0 : (o1 < 02) ? -1 : 1
  Throws
    `RuntimeException` - if the two objects do have the same type

### getInstance

    public static SmartComparator getInstance()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.